<?php
/**
* Header Banner Options.
*
* @package Cleaning Maintenance
*/

$cleaning_maintenance_default = cleaning_maintenance_get_default_theme_options();
$cleaning_maintenance_post_category_list = cleaning_maintenance_post_category_list();

$wp_customize->add_section( 'cleaning_maintenance_header_slider_setting',
    array(
    'title'      => esc_html__( 'Slider Settings', 'cleaning-maintenance' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'cleaning_maintenance_theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('cleaning_maintenance_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
));
$wp_customize->add_control('cleaning_maintenance_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'cleaning-maintenance'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('cleaning_maintenance_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
));
$wp_customize->add_control('cleaning_maintenance_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'cleaning-maintenance'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('cleaning_maintenance_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
);
$wp_customize->add_control('cleaning_maintenance_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'cleaning-maintenance'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('cleaning_maintenance_header_slider',
    array(
        'default' => $cleaning_maintenance_default['cleaning_maintenance_header_slider'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
);
$wp_customize->add_control('cleaning_maintenance_header_slider',
    array(
        'label' => esc_html__('Enable Slider', 'cleaning-maintenance'),
        'section' => 'cleaning_maintenance_header_slider_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_slider_cat',
    array(
    'default'           => 'uncategorized',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'cleaning_maintenance_sanitize_select',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_slider_cat',
    array(
    'label'       => esc_html__( 'Slider Post Left Category', 'cleaning-maintenance' ),
    'section'     => 'cleaning_maintenance_header_slider_setting',
    'type'        => 'select',
    'choices'     => $cleaning_maintenance_post_category_list,
    )
);

$wp_customize->add_setting('cleaning_maintenance_banner_left_image',
    array(
        'default'           => $cleaning_maintenance_default['cleaning_maintenance_banner_left_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'cleaning_maintenance_banner_left_image',
        array(
            'label' => __('Slider Left Image ','cleaning-maintenance'),
            'section' => 'cleaning_maintenance_header_slider_setting',
            'settings' => 'cleaning_maintenance_banner_left_image',
        )
    )
);

$wp_customize->add_setting('cleaning_maintenance_banner_right_image',
    array(
        'default'           => $cleaning_maintenance_default['cleaning_maintenance_banner_right_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'cleaning_maintenance_banner_right_image',
        array(
            'label' => __('Slider Right Image ','cleaning-maintenance'),
            'section' => 'cleaning_maintenance_header_slider_setting',
            'settings' => 'cleaning_maintenance_banner_right_image',
        )
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_slider_section_guarantee_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_slider_section_guarantee_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_slider_section_guarantee_title',
    array(
    'label'    => esc_html__( 'About Us Title', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_slider_section_availablity_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_slider_section_availablity_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_slider_section_availablity_title',
    array(
    'label'    => esc_html__( 'About Us Title', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_slider_section_location_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_slider_section_location_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_slider_section_location_title',
    array(
    'label'    => esc_html__( 'About Us Title', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_slider_section_appoinment_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_slider_section_appoinment_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_slider_section_appoinment_title',
    array(
    'label'    => esc_html__( 'About Us Title', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_header_slider_setting',
    'type'     => 'text',
    )
);

// About Us Settings

$wp_customize->add_section( 'cleaning_maintenance_about_us_setting',
    array(
    'title'      => esc_html__( 'About Us Settings', 'cleaning-maintenance' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'cleaning_maintenance_theme_home_pannel',
    )
);

$wp_customize->add_setting('cleaning_maintenance_header_about_us',
    array(
        'default' => $cleaning_maintenance_default['cleaning_maintenance_header_about_us'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
);
$wp_customize->add_control('cleaning_maintenance_header_about_us',
    array(
        'label' => esc_html__('Enable About Us', 'cleaning-maintenance'),
        'section' => 'cleaning_maintenance_about_us_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('cleaning_maintenance_about_us_left_image',
    array(
        'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_left_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'cleaning_maintenance_about_us_left_image',
        array(
            'label' => __('About Us Left Image ','cleaning-maintenance'),
            'section' => 'cleaning_maintenance_about_us_setting',
            'settings' => 'cleaning_maintenance_about_us_left_image',
        )
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_section_image_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_section_image_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_section_image_title',
    array(
    'label'    => esc_html__( 'Left Image Heading', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_section_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_section_title',
    array(
    'label'    => esc_html__( 'About Us Short Title', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_section_sub_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_section_sub_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_section_sub_title',
    array(
    'label'    => esc_html__( 'About Us Heading', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_section_content',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_section_content'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_section_content',
    array(
    'label'    => esc_html__( 'About Us Content 1', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_section_content_1',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_section_content_1'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_section_content_1',
    array(
    'label'    => esc_html__( 'About Us Content 2', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_exprience_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_exprience_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_exprience_title',
    array(
    'label'    => esc_html__( 'About Us Feature Heading 1', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_work_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_work_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_work_title',
    array(
    'label'    => esc_html__( 'About Us Feature Heading 2', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_about_us_service_title',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_about_us_service_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_about_us_service_title',
    array(
    'label'    => esc_html__( 'About Us Feature Heading 3', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_about_us_setting',
    'type'     => 'text',
    )
);